# Send an event related with a module execution

Send an event related with a module execution

Endpoint: POST /iacm/api/modules/{moduleId}/events
Version: 1.0
Security: x-api-key

## Path parameters:

  - `moduleId` (string, required)
    module id associated with this event
    Example: "md"

## Request fields (application/json):

  - `account` (string, required)
    account name
    Example: "Voluptatibus provident."

  - `eventType` (string, required)
    The type of event that occurred
    Example: "Sint dignissimos recusandae."

  - `metadata` (object)
    Example: {"pipeline":"Delectus suscipit.","pipeline_execution_id":"Rem et.","pipeline_execution_number":"Praesentium nemo est commodi corrupti.","pipeline_name":"Cupiditate sed neque commodi.","pipeline_stage_id":"Sapiente suscipit est voluptatem assumenda excepturi.","trigger":{"Est ut non velit cum.":"Sint doloribus sapiente harum temporibus.","Iusto nostrum quia blanditiis ab fugit.":"Vero repellendus consectetur ea qui.","Rem laboriosam praesentium.":"Dolor saepe inventore tempore eligendi."}}

  - `metadata.pipeline` (string)
    The unique identifier of any associated pipeline
    Example: "Delectus suscipit."

  - `metadata.pipeline_execution_id` (string)
    The unique identifier for any associated pipeline execution
    Example: "Rem et."

  - `metadata.pipeline_execution_number` (string)
    The unique number for any associated pipeline execution
    Example: "Praesentium nemo est commodi corrupti."

  - `metadata.pipeline_name` (string)
    The name of any associated pipeline
    Example: "Cupiditate sed neque commodi."

  - `metadata.pipeline_stage_id` (string)
    The unique identifier for the associated pipeline stage
    Example: "Sapiente suscipit est voluptatem assumenda excepturi."

  - `metadata.trigger` (object)
    Trigger info for any associated pipeline execution
    Example: {"Est ut non velit cum.":"Sint doloribus sapiente harum temporibus.","Iusto nostrum quia blanditiis ab fugit.":"Vero repellendus consectetur ea qui.","Rem laboriosam praesentium.":"Dolor saepe inventore tempore eligendi."}

  - `org` (string, required)
    pipeline org
    Example: "Inventore ipsum quibusdam voluptatum sit cumque alias."

  - `project` (string, required)
    pipeline project
    Example: "Dolores consequatur."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


## Response 200 fields
